### Method

# Foundry Settings dup_layer

#### Declaration [src]

    GSettings*
    foundry_settings_dup_layer (
      FoundrySettings* self,
      FoundrySettingsLayer layer
    )

#### Description [src]

Gets the underlying `GSettings` used for the respective layer.

#### Parameters

`layer`

  Type: `FoundrySettingsLayer`

  The desired layer.

#### Return value

Type: `GSettings`

A `GSettings` instance.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.